/**************************************/
/* REXX program to create MGA objects */
/**************************************/

'@echo off'
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs

/***************************************************/
/* Delete MGAMON icon from the System Setup folder */
/***************************************************/
result = SysDestroyObject('<MGAMON>')

/*************************************************/
/* Put an MGASET icon in the System Setup folder */
/*************************************************/
setupstr='OBJECTID=<MGASET>;EXENAME=\MGA\OS2\MGASET.EXE;'
result=SysCreateObject("WPProgram","MGA Settings","<WP_CONFIG>",,
                       setupstr, 'update')
/*************************************************/
/* Shadow it on the desktop                      */
/*************************************************/
result=SysCreateObject("WPShadow","MGA Settings","<WP_DESKTOP>",,
                       "SHADOWID=<MGASET>;OBJECTID=<MGASET_SHADOW>", 'update')

/*************************************************/
/* Put an MGAHK icon in the Startup folder       */
/*************************************************/
setupstr='OBJECTID=<MGAHK>;EXENAME=\MGA\OS2\MGAHK.EXE;'
result=SysCreateObject("WPProgram","MGA Hot Keys","<WP_START>",,
                       setupstr, 'update')

say 'INSTALLATION DONE'
